<div class="c2v-scheduler">
  <app-content-banner [isDashboard]="false" pageName="Client To Vacancy Scheduler"></app-content-banner>
<mat-card class="c2v-scheduler-main-card mat-elevation-z0">
  <mat-card-header fxLayout="column" fxLayoutGap="10px">
    <app-referral-package-client-banner></app-referral-package-client-banner>
  </mat-card-header>
  <mat-card-content>
    <div class="example-small-box mat-elevation-z4" fxLayout="column">
      <div class="example-container mat-elevation-z4">
        <ag-grid-angular
          #agGrid id="myGrid"
          style="width: 100%"
          class="ag-theme-balham my-grid"
          [columnDefs]="columnDefs"
          [defaultColDef]="defaultColDef"
          [rowData]="rowData"
          [context]="context"
          [animateRows]="true"
          [gridOptions]="gridOptions"
          [rowSelection]="rowSelection"
          (rowSelected)="onRowSelected($event)"
          [pagination]="true"
          [paginationPageSize]="10"
          (firstDataRendered)="onFirstDataRendered($event)"
          [frameworkComponents]="frameworkComponents"
          (gridReady)="onGridReady($event)">
        </ag-grid-angular>
        <section class="bottom-btn" fxLayout="row">
          <div class="save-btn">
            <button type="button" (click)="onClear()"  mat-raised-button color="primary">Clear</button>
          </div>
          <div class="clear-btn">
            <!-- <button type="button" routerLink="/vcs/c2v-referral-handshake-success" mat-raised-button color="primary">Prev</button> -->
            <button type="button" (click)="onNext()" mat-raised-button color="primary">Next</button>
          </div>
        </section>
        <section *ngIf="hpSiteID > 0" class="c2v-calendar">
          <app-calendar
            [calendarFor]="['HPSiteObservable']"
            [agencySiteInfo] = "agencySiteInfo"
            [hpSiteIDObservable]="hpSiteIDforCalendar.asObservable()"
            [calendarViewFor]="['Week']"
          >
          </app-calendar>
        </section>
      </div>

    </div>
  </mat-card-content>
</mat-card>
</div>
